# Uses of Enum Class
com.sun.mirror.declaration.Modifier

Packages that use Modifier
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of Modifier in com.sun.mirror.declaration

Subclasses with type arguments of type Modifier in com.sun.mirror.declaration
Modifier and Type
Class
Description
`enum`
`Modifier`
Represents a modifier on the declaration of a program element such as a class, method, or field.
Methods in com.sun.mirror.declaration that return Modifier
Modifier and Type
Method
Description
`static Modifier`
Modifier.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Modifier[]`
Modifier.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.sun.mirror.declaration that return types with arguments of type Modifier
Modifier and Type
Method
Description
`Collection<Modifier>`
Declaration.`getModifiers()`
Returns the modifiers of this declaration, excluding annotations.

## Uses of Modifier in com.sun.mirror.util

Method parameters in com.sun.mirror.util with type arguments of type Modifier
Modifier and Type
Method
Description
`static DeclarationFilter`
DeclarationFilter.`getFilter(Collection<Modifier> mods)`
Returns a filter that selects declarations containing all of a collection of modifiers.